%global         momorel 1

Name:           perl-Package-Variant
Version:        1.002002
Release:        %{momorel}m%{?dist}
Summary:        Parameterizable packages
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Package-Variant/
Source0:        http://www.cpan.org/authors/id/H/HA/HAARG/Package-Variant-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Carp
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Import-Into >= 1
BuildRequires:  perl-Module-Runtime >= 0.013
BuildRequires:  perl-strictures >= 1
BuildRequires:  perl-Test-Fatal
Requires:       perl-Carp
Requires:       perl-Import-Into >= 1
Requires:       perl-Module-Runtime >= 0.013
Requires:       perl-strictures >= 1
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module allows you to build packages that return different variations
depending on what parameters are given.

%prep
%setup -q -n Package-Variant-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorlib}/Package/Variant.pm
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.002002-1m)
- update to 1.002002

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.002000-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.002000-2m)
- rebuild against perl-5.18.2

* Thu Jan  2 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.002000-1m)
- update to 1.002000

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.001004-2m)
- rebuild against perl-5.18.1

* Thu May 30 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.001004-1m)
- update to 1.001004

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.001002-4m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.001002-3m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.001002-2m)
- rebuild against perl-5.16.2

* Sat Oct 06 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.001002-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
